<template>
  <b-form-group
    :id="`${$attrs.id}-group`"
    :label="$attrs.label"
    :label-for="$attrs.id"
    class="label-s"
  >
    <b-form-tags
      class="tag-bubble"
      placeholder=""
      :style="[
        editable
          ? { borderRadius: '5px' }
          : {
              borderRadius: '8px',
              borderColor: '#F5F5F5',
              backgroundColor: '#fff'
            }
      ]"
      :disabled="!editable"
      v-bind="$attrs"
      :aria-describedby="`${$attrs.id}-feedback`"
      v-on="$listeners"
    ></b-form-tags>

    <b-form-text v-if="editable">
      Press <kbd>Enter</kbd> to add tag
    </b-form-text>

    <b-form-invalid-feedback :id="`${$attrs.id}-feedback`"
      >{{ invalidFeedback }}
    </b-form-invalid-feedback>
  </b-form-group>
</template>
<script lang="ts">
import Vue from 'vue'
export default Vue.extend({
  props: {
    invalidFeedback: {
      type: String,
      required: false,
      default: ''
    },
    editable: {
      type: Boolean,
      default: false
    }
  }
})
</script>

<style>
.tag-bubble li {
  background-color: #fff;
  color: #4f4f4f;
  border: 1px solid #cacaca;
  border-radius: 8px;
}

.tag-bubble li[role='none'] {
  background-color: #fff;
  color: #4f4f4f;
  border: none;
}

.form-group input {
  border: 0;
  border-bottom: 1px solid #cacaca;
}

.form-group input:focus textarea:focus select:focus {
  outline: none;
  background-color: #f9f9f9;
  border-bottom: 1px solid #13bc73;
}

input:disabled {
  background-color: #fff;
  border: 0;
}

.form-control:disabled {
  background-color: #fff;
  padding-left: 0;
}

.label-s {
  font-size: 10px;
}
</style>
